import { BrtcAudioQuality,
  BrtcNetworkQosParam,
  BrtcRoomParams,
  BrtcVideoEncParam,
  BrtcVideoRotation,
  BrtcVideoStreamType } from "../../../ets/native/BrtcDefines";

export const getSdkVersion: () => string
export const setConsoleEnabled: (enabled: boolean) => void
export const setLogLevel: (level: BrtcLogLevel) => void
export const setLogPath: (path: string) => void
export const backgroundStateChanged: (isOnBackground: boolean) => void

export declare class BrtcOhosEngine {
  constructor();
  createEngine: (engineConfig: string, jsCallback: Function) => boolean;
  destroyEngine: () => void;
  callExperimentalApi: (jsonStr: string) => void;
  setDefaultStreamRecvMode: (autoRecvAudio: boolean, autoRecvVideo: boolean) => void;
  setNetworkQosParam: (param: BrtcNetworkQosParam) => void;
  enableSmallVideoStream: (enable: boolean, encParam: BrtcVideoEncParam) => void;
  setVideoEncoderParam: (encParam: BrtcVideoEncParam) => void;
  setVideoEncoderMirror: (mirror: boolean) => void;
  setVideoEncoderRotation: (rotation: BrtcVideoRotation) => void;
  enterRoom: (roomParams: BrtcRoomParams) => boolean;
  exitRoom: () => void;
  startLocalPreview: (useFront: boolean) => void;
  stopLocalPreview: () => void;
  startLocalAudio: (quality: BrtcAudioQuality) => void;
  stopLocalAudio: () => void;
  muteLocalAudio: (mute: boolean) => void;
  muteLocalVideo: (mute: boolean) => void;
  muteRemoteAudio: (userId: string, mute: boolean) => void;
  muteRemoteVideo: (userId: string, streamType: BrtcVideoStreamType, mute: boolean) => void;
  muteAllRemoteAudio: (mute: boolean) => void;
  startScreenCapture: (xComponentSurfaceId:string, streamType: BrtcVideoStreamType, encParam: BrtcVideoEncParam) => void;
  stopScreenCapture: () => void;
  startRemoteView: (userId: string, streamType: BrtcVideoStreamType, surfaceId: string) => void;
  stopRemoteView: (userId: string, streamType: BrtcVideoStreamType) => void;
  setRemoteVideoStreamType: (userId: string, streamType: BrtcVideoStreamType) => void;
  setRenderParams: (userId: string, streamType: BrtcVideoStreamType, params: BrtcVideoRenderParams) => void;
}