import hilog from '@ohos.hilog';
import { deviceInfo } from '@kit.BasicServicesKit';

export default class BrtcDeviceInfo {
  private static TAG: string = "BrtcDeviceInfo";

  static getDeviceInfo(): string {
    // $Manufacture_$ProductModel/Harmony$Version
    let manufactureInfo: string = deviceInfo.manufacture;
    let productModelInfo: string = deviceInfo.productModel;
    // let osFullNameInfo: string = deviceInfo.osFullName;
    let displayName: string = deviceInfo.displayVersion;

    return manufactureInfo + '_' + productModelInfo + '/Harmony_' + displayName.replace(" ", "_");
  }

  static printAllDeviceInfo(): void {
    let deviceTypeInfo: string = deviceInfo.deviceType;
    hilog.info(0x0000, this.TAG, 'the value of the deviceType is :' + deviceTypeInfo);

    let manufactureInfo: string = deviceInfo.manufacture;
    hilog.info(0x0000, this.TAG, 'the value of the manufactureInfo is :' + manufactureInfo);

    let brandInfo: string = deviceInfo.brand;
    hilog.info(0x0000, this.TAG, 'the value of the device brand is :' + brandInfo);

    let marketNameInfo: string = deviceInfo.marketName;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo marketName is :' + marketNameInfo);

    let productSeriesInfo: string = deviceInfo.productSeries;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo productSeries is :' + productSeriesInfo);

    let productModelInfo: string = deviceInfo.productModel;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo productModel is :' + productModelInfo);

    let softwareModelInfo: string = deviceInfo.softwareModel;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo softwareModel is :' + softwareModelInfo);

    let hardwareModelInfo: string = deviceInfo.hardwareModel;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo hardwareModel is :' + hardwareModelInfo);

    let serialInfo: string = deviceInfo.serial;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo serial is :' + serialInfo);

    let bootloaderVersionInfo: string = deviceInfo.bootloaderVersion;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo bootloaderVersion is :' + bootloaderVersionInfo);

    let abiListInfo: string = deviceInfo.abiList;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo abiList is :' + abiListInfo);

    let securityPatchTagInfo: string = deviceInfo.securityPatchTag;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo securityPatchTag is :' + securityPatchTagInfo);

    let displayVersionInfo: string = deviceInfo.displayVersion;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo displayVersion is :' + displayVersionInfo);

    let incrementalVersionInfo: string = deviceInfo.incrementalVersion;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo incrementalVersion is :' + incrementalVersionInfo);

    let osReleaseTypeInfo: string = deviceInfo.osReleaseType;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo osReleaseType is :' + osReleaseTypeInfo);

    let osFullNameInfo: string = deviceInfo.osFullName;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo osFullName is :' + osFullNameInfo);

    let majorVersionInfo: number = deviceInfo.majorVersion;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo majorVersion is :' + majorVersionInfo);

    let seniorVersionInfo: number = deviceInfo.seniorVersion;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo seniorVersion is :' + seniorVersionInfo);

    let featureVersionInfo: number = deviceInfo.featureVersion;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo featureVersion is :' + featureVersionInfo);

    let buildVersionInfo: number = deviceInfo.buildVersion;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo buildVersion is :' + buildVersionInfo);

    let sdkApiVersionInfo: number = deviceInfo.sdkApiVersion;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo sdkApiVersion is :' + sdkApiVersionInfo);

    let firstApiVersionInfo: number = deviceInfo.firstApiVersion;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo firstApiVersion is :' + firstApiVersionInfo);

    let versionIdInfo: string = deviceInfo.versionId;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo versionId is :' + versionIdInfo);

    let buildTypeInfo: string = deviceInfo.buildType;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo buildType is :' + buildTypeInfo);

    let buildUserInfo: string = deviceInfo.buildUser;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo buildUser is :' + buildUserInfo);

    let buildHostInfo: string = deviceInfo.buildHost;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo buildHost is :' + buildHostInfo);

    let buildTimeInfo: string = deviceInfo.buildTime;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo buildTime is :' + buildTimeInfo);

    let buildRootHashInfo: string = deviceInfo.buildRootHash;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo buildRootHash is :' + buildRootHashInfo);

    let udid: string = deviceInfo.udid;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo udid is :' + udid);

    let distributionOSName: string = deviceInfo.distributionOSName
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo distributionOSName is :' + distributionOSName);

    let distributionOSVersion: string = deviceInfo.distributionOSVersion
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo distributionOSVersion is :' + distributionOSVersion);

    let distributionOSApiVersion: number = deviceInfo.distributionOSApiVersion
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo distributionOSApiVersion is :' + distributionOSApiVersion);

    let distributionOSReleaseType: string = deviceInfo.distributionOSReleaseType
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo distributionOSReleaseType is :' + distributionOSReleaseType);

    let odid: string = deviceInfo.ODID;
    hilog.info(0x0000, this.TAG, 'the value of the deviceInfo odid is :' + odid);
  }
}