import hilog from '@ohos.hilog';
import { BrtcDeviceManager } from './BrtcDeviceManager'

export default class BrtcDeviceManagerImpl extends BrtcDeviceManager {
  private TAG: string = 'BrtcDeviceManager'
  private nativeBrtcEngine: any;

  constructor() {
    super();
    this.nativeBrtcEngine = null;
  }

  setBrtcNativeEngine(engine: any) {
    this.nativeBrtcEngine = engine;
  }

  switchCamera(useFront: boolean): void {
    hilog.info(0x0000, this.TAG, 'switchCamera to %{public}s', useFront ? "front" : "rear");
    if (this.nativeBrtcEngine) {
      this.nativeBrtcEngine.switchCamera(useFront);
    }
  }

}