export interface BrtcListener {
  onError: (code: number, message: string) => void;
  onEnterRoom: (result: number) => void;
  onExitRoom: (reason: number) => void;
  onRemoteUserEnterRoom: (userId: string) => void;
  onRemoteUserLeaveRoom: (userId: string, reason: number) => void;
  onSendFirstLocalVideoFrame: (type: number) => void;
  onSendFirstLocalAudioFrame: () => void;
  onUserAudioAvailable: (userId: string, available: boolean) => void;
  onUserVideoAvailable: (userId: string, available: boolean) => void;
  onUserSubStreamAvailable: (userId: string, available: boolean) => void;
  onFirstAudioFrame: (userId: string) => void;
  // onFirstVideoFrame: (userId: string, streamType: number, width: number, height: number) => void;
  onFirstVideoFrameDecoded: (userId: string, width: number, height: number, elapsed: number) => void;
  onScreenCaptureStarted: () => void;
  onScreenCaptureStoped: (reason: number) => void;
  onStatistics: (jsonStats: string) => void;
  onNetworkQuality: (jsonQualityArray: string) => void;
  onLog: (log: string, level: number, module: string) => void;
}

export interface BrtcLogListener {
  onLog: (log: string, level: number, module: string) => void;
}

export interface BrtcMusicPlayListener {
  onStart: (id: number, errCode: number) => void;
  onPlayProgress: (id: number, curPtsMs: number, durationMs: number) => void;
  onComplete: (id: number, errCode: number) => void;
}

