import abilityAccessCtrl from '@ohos.abilityAccessCtrl';
import { Permissions } from '@ohos.abilityAccessCtrl';
import bundleManager from '@ohos.bundle.bundleManager';

export async function CheckPermission(permission : Permissions): Promise<boolean> {
  try {
    let bundleInfo: bundleManager.BundleInfo = await bundleManager.getBundleInfoForSelf(
      bundleManager.BundleFlag.GET_BUNDLE_INFO_WITH_APPLICATION);
    let appInfo: bundleManager.ApplicationInfo = bundleInfo.appInfo;
    let tokenId = appInfo.accessTokenId;
    let atManager = abilityAccessCtrl.createAtManager();

    atManager.checkAccessToken(tokenId, permission).then((state:abilityAccessCtrl.GrantStatus)=>{
      return abilityAccessCtrl.GrantStatus.PERMISSION_GRANTED == state ? true : false;
    });
  } catch (e) {
    return false;
  }
}

export function CheckPermissionSync(permission : Permissions): boolean {
  try {
    let bundleInfo: bundleManager.BundleInfo = bundleManager.getBundleInfoForSelfSync(
      bundleManager.BundleFlag.GET_BUNDLE_INFO_WITH_APPLICATION);
    let appInfo: bundleManager.ApplicationInfo = bundleInfo.appInfo;
    let tokenId = appInfo.accessTokenId;
    let atManager = abilityAccessCtrl.createAtManager();

    let state = atManager.checkAccessTokenSync(tokenId, permission);

    return abilityAccessCtrl.GrantStatus.PERMISSION_GRANTED == state ? true : false;
  } catch (e) {
    return false;
  }
}
